//
//  LibytnefFileItem.m
//  TNEFsEnough3
//
//  Created by Josh Jacob on 7/14/11.
//  Copyright 2011 Josh Jacob. All rights reserved.
//

#import "LibytnefFileItem.h"

@implementation LibytnefFileItem

@synthesize numBytes = _numBytes;
@synthesize fileName = _fileName;
@synthesize attachment = _attachment;

- (void) dealloc
{
    self.fileName = nil;
}

- (NSString *)stringFromFileSize
{
    return [LibytnefFileItem stringFromFileSize: self.numBytes];
}

+ (NSString *)stringFromFileSize:(int)theSize
{
	float floatSize = theSize;
	if (theSize<1023)
		return([NSString stringWithFormat:@"%i bytes",theSize]);
	floatSize = floatSize / 1024;
	if (floatSize<1023)
		return([NSString stringWithFormat:@"%1.1f KB",floatSize]);
	floatSize = floatSize / 1024;
	if (floatSize<1023)
		return([NSString stringWithFormat:@"%1.1f MB",floatSize]);
	floatSize = floatSize / 1024;
    
	// Add as many as you like
    
	return([NSString stringWithFormat:@"%1.1f GB",floatSize]);
}

@end
